Vad behövs för xconfig av kernel?

Trädvy Permalänk
Medlem
Plats
Södra norrland
Registrerad
Jul 2003

Vad behövs för xconfig av kernel?

Har hittat den officiella guiden och dragit ner senaste kernel-source från kernel.org. Har packat upp och kört make mrproper, so far so good. Men sen när jag ska skriva make xconfig så får jag detta

* * Unable to find the QT installation. Please make sure that the * QT development package is correctly installed and the QTDIR * environment variable is set to the correct location. * make[1]: *** [scripts/kconfig/.tmp_qtcheck] Fel 1 make: *** [xconfig] Fel 2

Jag fattar att qt saknas, men hur skaffar jag det? I guiden står det bara at man ska ha qt och X. En snabb apt-cache search qt hittar en väldig massa paket. Vad är det jag ska ha för att det ska fungera? Inte heller menuconfig fungerar, för då måste jag ha ncurses. Samma sak här, en väldigt lång lista när man låter apt söka efter det. Make menuconfig ger detta medelande:

/usr/bin/ld: kan inte hitta -lncurses collect2: ld returned 1 exit status >> Unable to find the Ncurses libraries. >> >> You must install ncurses-devel in order >> to use 'make menuconfig' make[2]: *** [scripts/lxdialog/ncurses] Fel 1 make[1]: *** [menuconfig] Fel 2 make: *** [menuconfig] Fel 2

Hur skaffar jag det som behövs för detta?

Jag kör Debian Etch/testing med Xfce4 som wm.

Stationär: i5 750@3.8GHz kylt av H80 P'n'P| Asus DC2 7970 | 8GB RAM | 750GB SSD + 2.5TB HDD | FD Define R2 | beQuiet Dark Power 850W |
Bärbar: 13" rMBP | i5 2.4GHz | 8GB RAM | 256GB SSD | Intel Iris |

Trädvy Permalänk
Medlem
Plats
Göteborg
Registrerad
Aug 2003

libqt3-mt-dev för xconfig
libncurses5-dev för menuconfig

Trädvy Permalänk
Medlem
Plats
Södra norrland
Registrerad
Jul 2003

Tackar. Fick in libncurses5-dev utan problem men när jag försöker få in libqt3-dev så får jag detta medelande

willhelm@Z8:~$ sudo apt-get install libqt3-dev Läser paketlistor... Färdig Bygger beroendeträd... Färdig Några paket kunde inte installeras. Detta kan betyde att du har bett om en omöjlig situation eller, om du använder den instabila distributionen, att några krävda paket ännu inte har skapats eller lagts in från "Incoming". Eftersom du bad om en enda handling är det mycket troligt att paketet helt enkelt inte kan installeras och att en felrapport om detta bör skrivas. Följande information kan vara till hjälp för att lösa situationen: Följande paket har beroenden som inte kan tillfredsställas: libqt3-dev: Beror: xlibs-static-dev (>= 4.3.0.dfsg.1-4) men det kommer inte att installeras Beror: libxrandr-dev (>= 4.3.0.dfsg.1-4) men det kommer inte att installeras Beror: libxmu-dev (>= 4.3.0.dfsg.1-4) men det kommer inte att installeras Beror: libx11-dev (>= 4.3.0.dfsg.1-4) men det kommer inte att installeras Beror: libxt-dev (>= 4.3.0.dfsg.1-4) men det kommer inte att installeras Beror: libmng-dev (>= 1.0.3) men det kommer inte att installeras Beror: libpng12-dev men det kommer inte att installeras eller libpng12-0-dev Beror: zlib1g-dev men det kommer inte att installeras Beror: libfreetype6-dev men det kommer inte att installeras Beror: xlibmesa-gl-dev men det kommer inte att installeras eller libgl-dev Beror: xlibmesa-glu-dev men det kommer inte att installeras eller libglu1-mesa-dev men det kommer inte att installeras eller libglu-dev Beror: libxft-dev men det kommer inte att installeras Beror: libxrender-dev men det kommer inte att installeras Beror: libxcursor-dev men det kommer inte att installeras E: Trasiga paket

Jo jag vet att man inte ska köra på svenska.... Men hur löser jag detta? Varför kommer dom inte att installeras? Har nån känsla av att dom där programmen används av X? Måste man stänga av X för att kunna ggöra detta? Isåfall hur stänger jag ner X?

Edit: Körde apt-get -f install efter att installatitionen av libqt3-dev inte gick att installera. Då körde den in en del nya paket men jag kan likförbaskat inte installera qt. Läste på Debians hemsida att dom istället rekommenderar att man drar in libqt3-mt-dev. Aha tänker jag, en lösning. Men nej då, samma fel här

Stationär: i5 750@3.8GHz kylt av H80 P'n'P| Asus DC2 7970 | 8GB RAM | 750GB SSD + 2.5TB HDD | FD Define R2 | beQuiet Dark Power 850W |
Bärbar: 13" rMBP | i5 2.4GHz | 8GB RAM | 256GB SSD | Intel Iris |

Trädvy Permalänk
Medlem
Plats
Stockholm, Täby
Registrerad
Jul 2001

Varför envisas med grafisk konfigurering?

make menuconfig <- För ncurses-baserat gränssnitt.
make && make modules_install install <- För att kompilera kärnan.

Annat som kan vara bra:
make modules && make modules_install && modules-update <- Om man bara har kompilerat in nya moduler och inte vill starta om datorn.

(Det förutsätter sam sagt att du har ncurses installerat...)

Trädvy Permalänk
Medlem
Plats
Södra norrland
Registrerad
Jul 2003
Citat:

Ursprungligen inskrivet av Sachankara
Varför envisas med grafisk konfigurering?

make menuconfig <- För ncurses-baserat gränssnitt.
make && make modules_install install <- För att kompilera kärnan.

Annat som kan vara bra:
make modules && make modules_install && modules-update <- Om man bara har kompilerat in nya moduler och inte vill starta om datorn.

(Det förutsätter sam sagt att du har ncurses installerat...)

Men jag vill ha den extra hjälp som xconfig ger. Har bara gjort detta en gång förrut och då gick det åt helskotta pga massa krångel. Plus att eftersom det krånglar vill jag lösa det!

Stationär: i5 750@3.8GHz kylt av H80 P'n'P| Asus DC2 7970 | 8GB RAM | 750GB SSD + 2.5TB HDD | FD Define R2 | beQuiet Dark Power 850W |
Bärbar: 13" rMBP | i5 2.4GHz | 8GB RAM | 256GB SSD | Intel Iris |

Trädvy Permalänk
Medlem
Plats
::1
Registrerad
Jun 2005

Mig veterligen finns exakt samma hjälp i menuconfig som i xconfig.

Och ta en titt på kernel-package för själva kompileringen, det är ett mycket smidigt sätt att bygga debs direkt för installation med dpkg.

Trädvy Permalänk
Medlem
Plats
Södra norrland
Registrerad
Jul 2003

Ok, ska kolla det sen. Men grejen är att jag nu vill köra xconfig. Så ni kan väl låta mig få vilja det? Åter till saken, hur får jag in qt grejorna?

Stationär: i5 750@3.8GHz kylt av H80 P'n'P| Asus DC2 7970 | 8GB RAM | 750GB SSD + 2.5TB HDD | FD Define R2 | beQuiet Dark Power 850W |
Bärbar: 13" rMBP | i5 2.4GHz | 8GB RAM | 256GB SSD | Intel Iris |

Trädvy Permalänk
Medlem
Plats
under en bro
Registrerad
Dec 2001

testa släng in dom här två paketen;
libqt3-dev - Qt development files
libqt3-headers - Qt3 header files

Trädvy Permalänk
Medlem
Plats
Södra norrland
Registrerad
Jul 2003
Citat:

Ursprungligen inskrivet av Fredrik.
testa släng in dom här två paketen;
libqt3-dev - Qt development files
libqt3-headers - Qt3 header files

Äntligen nånting konstruktivt! Den la in headers filen efter apt-get -f install. Vet inte exakt vad det kommandot betyder men datorn rekommenderade det. Dock så kan jag fortfarande inte få in libqt3-dev eller libqt3-mt-dev. Får upp samma felmeddelande som det jag postade i mitt andra inlägg.

Stationär: i5 750@3.8GHz kylt av H80 P'n'P| Asus DC2 7970 | 8GB RAM | 750GB SSD + 2.5TB HDD | FD Define R2 | beQuiet Dark Power 850W |
Bärbar: 13" rMBP | i5 2.4GHz | 8GB RAM | 256GB SSD | Intel Iris |

Trädvy Permalänk
Medlem
Plats
::1
Registrerad
Jun 2005
Citat:

Ursprungligen inskrivet av Willhelm
Ok, ska kolla det sen. Men grejen är att jag nu vill köra xconfig. Så ni kan väl låta mig få vilja det? Åter till saken, hur får jag in qt grejorna?

Visst får du köra vad du vill, bara ett litet tips i all enkelhet...

Eftersom du kör testing skulle jag gissa att de paket som aptitude bråkar om inte har hunnit in i testing än. Det är nog tyvärr bara att vänta tills de har gjort det.

Trädvy Permalänk
Medlem
Plats
Södra norrland
Registrerad
Jul 2003

Men när jag söker efter libqt3-dev så står det att paketet finns. Jag söker då alltså med apt-cache search libqt3-dev.

Edit: Aha du menade beroendena. Men kastar verkligen Debian teamet in beroenden som inte finns? Verkar lite korkat

Stationär: i5 750@3.8GHz kylt av H80 P'n'P| Asus DC2 7970 | 8GB RAM | 750GB SSD + 2.5TB HDD | FD Define R2 | beQuiet Dark Power 850W |
Bärbar: 13" rMBP | i5 2.4GHz | 8GB RAM | 256GB SSD | Intel Iris |

Trädvy Permalänk
Medlem
Registrerad
Nov 2004

Eftersom du kör Xfce så prova kör med "make gconfig" för att få GTK frontend till konfigureringen istället.

Trädvy Permalänk
Medlem
Plats
::1
Registrerad
Jun 2005
Citat:

Ursprungligen inskrivet av Willhelm
Men när jag söker efter libqt3-dev så står det att paketet finns. Jag söker då alltså med apt-cache search libqt3-dev.

Edit: Aha du menade beroendena. Men kastar verkligen Debian teamet in beroenden som inte finns? Verkar lite korkat

Nej, normalt skall inga paket flyttas in i testing om inte deras dependencies kan tillfredställas men jag har sett det hända flera gånger förut. Oftast är det bara tillfälligt och efter några timmar är paketen överflyttade. Jag skulle rekommendera att du provar igen imorgon.